### Method

# Adw BottomSheet set_can_open

since: 1.6

#### Declaration [src]

    void
    adw_bottom_sheet_set_can_open (
      AdwBottomSheet* self,
      gboolean can_open
    )

#### Description [src]

Sets whether the bottom sheet can be opened by user.

It can be opened via clicking or swiping up from the bottom bar.

Does nothing if `AdwBottomSheet:bottom-bar` is not set.

Bottom sheet can still be opened using `AdwBottomSheet:open`.

Available since: 1.6

Sets property | `Adw.BottomSheet:can-open`

#### Parameters

`can_open`

  Type: `gboolean`

  Whether the sheet can be opened by user.